kind: StatefulSet
apiVersion: apps/v1
metadata:
  name: ags
  namespace: default
  labels:
    app: ags
spec:
  serviceName: fioranoagsservice      
  replicas: 2
  selector:
    matchLabels:
      app: ags
  template:
    metadata:
      labels:
        app: ags
    spec:
      containers:
        - name: ags
          image: fiorano_ags
          imagePullPolicy: Never
          env:
          - name : SERV_NAME
            valueFrom:
                      fieldRef:
                               fieldPath: metadata.name
